Bug 436738 - Daylight savings time and laptop suspend/resume
Daylight savings time and laptop suspend/resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 01:03 EDT by Penelope Fudd
Modified: 2015-03-04 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2008-03-10 01:03:36 EDT
Description of problem:
My laptop was an hour off today when I resumed operation.

Version-Release number of selected component (if applicable):
glibc-common-2.6-4 -- I'm only attaching this to glibc because it has most of
the timezone stuff; it probably should be moved to a suspend/resume package, but
I don't know how to determine the right package.

How reproducible:
Always?

Steps to Reproduce:
1. Suspend your laptop
2. Wait for daylight savings time to change
3. Resume your laptop
  
Actual results:
Time is off by an hour.

Expected results:
Time is not off by an hour.

Additional info:
I bet this will be a tedious bug to fix.  :-/
Comment 1 Jakub Jelinek 2008-03-11 05:01:57 EDT
glibc has nothing to do with this.  Is your hw clock using UTC or localtime?
Comment 2 Till Maas 2008-03-11 05:24:24 EDT
You should look at these to places to determine, whether or not your hardware
clock uses UTC:

1) $ grep UTC /etc/sysconfig/clock
2) Look at the time you see in your bios
Comment 3 Penelope Fudd 2008-03-12 23:46:57 EDT
It's using localtime.

The 'hwclock -r' command shows the local time (PDT).  Or did you mean reboot and
check the bios time that way?
Comment 4 Till Maas 2008-04-15 08:44:45 EDT
Uh, I thought I answered here already:

(In reply to comment #3)

> The 'hwclock -r' command shows the local time (PDT).  Or did you mean reboot and
> check the bios time that way?

"hwclock -r" seems to show the time in the local timezone, please boot into the
bios and check it there.
Comment 5 Bug Zapper 2008-05-14 11:22:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 23:03:25 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.